import React from 'react';
import { Field, reduxForm } from 'redux-form'
import validate from './validate'
import formInput from './../../../common/formInput'

class Form extends React.Component {

    sendRequest = values => {
        const { actions: { signUpRequest } } = this.props;
        delete values.passwordConfirmation;
        signUpRequest(values);
    }

    render() {

        const { invalid, handleSubmit, requestError } = this.props;

        return (
            <form className="sign-form" onSubmit={handleSubmit(this.sendRequest)}>

                <h2 className="sign-form__header">Sign Up</h2>

                {requestError && <p className="error-line error-line--warn error-line--no-margin">{requestError}</p>}

                <Field name="login" className="sign-form__input sign-form__input--text" placeholder="Login" component={formInput} type="text" />

                <div className="sign-form__password-container">
                    <Field name="password" className="sign-form__input sign-form__input--password" placeholder="Password" component={formInput} type="password" />
                    <Field name="passwordConfirmation" className="sign-form__input sign-form__input--password" placeholder="Password confirmation" component={formInput} type="password" />
                </div>

                <button className="sign-form__link--with-margin link--btn link--btn6s0" disabled={invalid}>Create Account</button>
                <p className="sign-form__agreement">By clicking this button you actually would donate us your flat !</p>
            </form>
        )
    }
}

export default reduxForm({
    form: "signUp",
    validate
})(Form)