import React from 'react';
import { connect } from 'react-redux';
import { Field } from 'redux-form';

import ChangeLoginForm from './loginChangeForm';

export default class ChangeLogin extends React.Component {

    state = {
        clicked: false,
        newLogin: null
    }

    submit = ({ login }) => {
        console.log('handleSubmit->submit', this.props)
        const { actions: { userChangeRequest }, user: { data: { id } } } = this.props;

        console.log('id', id);

        userChangeRequest({
            login,
            id
        })
    }

    handleClick = () => {
        this.setState((prevState) => ({ clicked: !prevState.clicked }));
    }

    render() {
        const { handleClick, submit } = this;
        const { clicked } = this.state;
        const { children } = this.props;

        return (
            !clicked
                ?
                (
                    <React.Fragment>
                        <div>{children}</div>
                        <button onClick={handleClick}>Change Email</button>
                    </React.Fragment>
                )
                : (
                    <React.Fragment>
                        <div>{children}</div>
                        <ChangeLoginForm handlers={{ handleClick, submit }} />
                    </React.Fragment>
                )
        )
    }
}
