import React from 'react';
import { connect } from 'react-redux';
import { Field, reduxForm } from 'redux-form';

import formInput from '../../../../common/formInput';
import validate from '../PasswordChangeForm/validate/index';

class ChangePasswordForm extends React.Component {

    render() {
        const { children, handleSubmit, handlers: { handleClick, submit } } = this.props;
        return (
            <form onSubmit={handleSubmit(submit)} >
                <Field name="passwordConfirmation" type="password" placeholder="Enter password" component={formInput} />
                <Field name="password" type="password" placeholder="Enter new password" component={formInput} />
                <button onClick={handleClick}>Change</button>
            </form >
        )
    }
}

export default reduxForm({
    form: "changePassword",
    validate
})(ChangePasswordForm);