import React from 'react';
import { connect } from 'react-redux';
import { Field } from 'redux-form';

import ChangePasswordForm from './PasswordChangeForm'

export default class ChangePassword extends React.Component {

    state = {
        clicked: false,
    }
    
    submit = ({ password }) => {
        console.log('handleSubmit->submit', this.props)
        const { actions: { passwordChangeRequest }, user: { data: { id } } } = this.props;

        console.log('id', id);

         passwordChangeRequest({
            password,
            id
        })
    }

    handleClick = () => {
        this.setState((prevState) => ({ clicked: !prevState.clicked }));
    }

    render() {
        const { handleClick, submit } = this;
        const { clicked } = this.state;
        const { children } = this.props;

        return (
            !clicked
                ?
                (
                    <React.Fragment>
                        <div>{children}</div>
                        <button onClick={handleClick}>Change password</button>
                    </React.Fragment>
                    
                )
                : (
                    <React.Fragment>
                        <div>{children}</div>
                        <ChangePasswordForm handlers={{ handleClick, submit }} />
                    </React.Fragment>
                )
        )
    }
}