import React from 'react';
import { signUpRequest } from './../../../actions/auth/signUp';
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';

import { Redirect } from 'react-router'
import { HOME } from './../../../constants/routes';


import Spinner from './../../../components/common/spinner';
import SignUpForm from './../../../components/public-components/auth/signUpForm';

class SignUpPage extends React.Component {

    render() {
        const { signUpRequest, user } = this.props;


        return (
            user.isFetching
                ? <Spinner />
                : user.error
                    ? 
                    (
                        <div className="page sign-up">
                            <SignUpForm actions={{ signUpRequest }} requestError={user.error} />
                        </div>
                    )
                    : user.data
                        ?
                        < Redirect to={HOME} />
                        :
                        (
                            <div className="page sign-up">
                                <SignUpForm actions={{ signUpRequest }} />
                            </div>
                        )
        )
    }
}

const
    mapStateToProps = ({ user }) => ({
        user
    }),
    mapDispatchToProps = dispatch => bindActionCreators({ signUpRequest }, dispatch)

export default connect(mapStateToProps, mapDispatchToProps)(SignUpPage)