import initialState from './../initialState';
import * as types from './../../constants';

export default function (state = initialState.user, { type, error, payload: data }) {
    switch(type) {

        case types.TOKEN_AUTH: {
            return {
                ...state,
                data
            }
        }

        // SIGN_UP

        case types.SIGN_UP_REQUEST: {
            return {
                ...state,

                isFetching: true,
                error: null,
                data: null
            }
        }
        case types.SIGN_UP_REQUEST_SUCCESS: {
            return {
                ...state,

                isFetching: false,
                error: null,
                data
            }
        }
        case types.SIGN_UP_REQUEST_FAILURE: {
            return {
                ...state,

                isFetching: false,
                data: null,
                error
            }
        }

        // SIGN_IN

        case types.SIGN_IN_REQUEST: {
            return {
                ...state,
                isFetching: true,
                error: null,
                data: null
            }
        }
        case types.SIGN_IN_REQUEST_SUCCESS: {
            return {
                ...state,
                isFetching: false,
                error: null,
                data                
            }
        }
        case types.SIGN_IN_REQUEST_FAILURE: {
            return {
                ...state,
                isFetching: false,
                data: null,
                error
            }
        }

        // SIGN_OUT

        case types.SIGN_OUT: {
            return initialState.user
        }

        // DEFAULT

        default: {
            return {...state}
            
        }
    }
}





