import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/signUp'
import axios from 'axios';

import { SIGN_UP_URL } from '../../../constants'

import token from './../../../utils/token';

// worker-saga for signing up

export default function* ({ payload: requestBody }) {
    try {
        const payload = yield call(() =>
            axios.post(SIGN_UP_URL, requestBody)
                .then(({ data }) => data)
        );

        yield put(actions.signUpRequestSucces(payload));
        yield call(() => { localStorage.setItem(token, JSON.stringify(payload)) });
    }
    catch (exception) {
        yield put(actions.signUpRequestFailure(exception.message));
        yield call(() => { localStorage.removeItem(token) });
    }
}